Subject: PMP> RE: Adding ppmPortDescription to Port Mon MIB

From: "Mike Fenelon" <[email-masked]>
Date: Thu, 21 Apr 2005 09:59:10 -0700

The intent of this object is to give a short, concise user-friendly name
of the port. It will be presented in the User Interface for and device
that advertises more than one port so the user can pick the correct port
for their connected printer. The whole intent was to differentiate
between multiple ports on a  device that could host multiple printers. I
am concerned we will start  degrading the user experience if we add a
whole bunch of ports for the same printer with slightly different names.

Mike Fenelon
Microsoft

________________________________

From: Bergman, Ron [mailto:[email-masked]] 
Sent: Thursday, April 21, 2005 9:32 AM
To: McDonald, Ira; Paul Danbold
Cc: [email-masked]; Harry Lewis (E-mail); Mike Fenelon; Ivan Pavicevic
Subject: RE: Adding ppmPortDescription to Port Mon MIB

Ira,

I would like to hear from Mike or Ivan on this subject, rather than rely
on memory.

Your comment does not agree with the current description clause for this
object.

    Ron

	-----Original Message-----
	From: McDonald, Ira [mailto:[email-masked]]
	Sent: Thursday, April 21, 2005 8:37 AM
	To: 'Paul Danbold'; Bergman, Ron
	Cc: [email-masked]; Harry Lewis (E-mail); McDonald, Ira;
[email-masked]; [email-masked]
	Subject: RE: Adding ppmPortDescription to Port Mon MIB

	Hi Ron,

	Doesn't work - MS specifically said that they wanted PortName
restricted

	to a _name_ that they will display in their tools and do NOT
want it to

	include descriptive text.  Your memory is incorrect.

	Cheers,

	- Ira

	Ira McDonald (Musician / Software Architect)
	Blue Roof Music / High North Inc
	PO Box 221  Grand Marais, MI  49839
	phone: +1-906-494-2434
	email: [email-masked] 

		-----Original Message-----
		From: Paul Danbold [mailto:[email-masked]]
		Sent: Wednesday, April 20, 2005 11:55 PM
		To: Bergman, Ron
		Cc: [email-masked]; Harry Lewis (E-mail); Ira McDonald
(E-mail 3); [email-masked]; [email-masked]
		Subject: Re: Adding ppmPortDescription to Port Mon MIB

		Ron, 

		Thanks for the clarification.  In the expectation that
manufacturers will initialize ppmPortName with helpful information, I am
satisfied there is no need to add an additional object.

		-Paul

---------------------------------------------------------------

		Paul Danbold

		Imaging Technologies Evangelist, Apple Worldwide
Developer Relations

		3 Infinite Loop, MS:303-2TE, Cupertino, CA 95014

		408-974-0050 (office)  408-425-3351 (mobile)

---------------------------------------------------------------

		On Apr 15, 2005, at 9:48 AM, Bergman, Ron wrote:

		I remembered this morning why we decided, several months
back, to remove this object. 
		Since the MIB contained both a desciptive name and a
description, it was agreed that 
		the two objects were redundant.  To clarify this
situation I recommend that the object 
		ppmPortName be changed to ppmPortDescriptiveName or
ppmPortDescription, rather 
		than go back to the original redundant pair. 

		ppPortName is a natural language string with up to 127
characters.  For Paul Danbold's 
		example I could provide a name such as: 

		        "Networked LPR port providing binary PostScript
printing for use by marketing" 

		This is less than 80 characters and should be more than
sufficient to satisfy Paul's 
		requirement. 

		Also, in addition to a possible name change, it must be
noted that this object is 
		expected to be administratively configured using an
out-of-band method. 

		Paul, please indicate if this is sufficient. 

		        Ron Bergman 
		        Ricoh Printing Systems America